EDU-SYNC-CLI(1)

NAME
edu-sync-cli add - Adds a new account to the configuration

SYNOPSIS
edu-sync-cli add [OPTIONS] <URL> <PATH>

DESCRIPTION
Adds a new account to the configuration

  Arguments:

    <URL>

    The URL of the Moodle instance

    <PATH>

    The path to download resources to

OPTIONS

-u, --username <USERNAME>

    The username of the account.

    If set, you will be prompted the corresponding password which will be used to retrieve the token. If unset, you must supply the token yourself.

    Find the token on your Moodle instance's website in your user account settings as the security key for the Moodle mobile web service. If you cannot find it, make sure that your Moodle instance supports the Moodle mobile web service, which is also required for the official Moodle app. The token is being saved your config file.

-l, --lang <LANG>

    A language to force for resource retrieval

-h, --help

    Print help (see a summary with '-h')